Installing [assemblyfire](https://github.com/BlueBrain/assemblyfire) will install all dependencies used in the notebooks. Just run: `pip install -r requirements.txt`

> If you're on an M1 Mac and haven't installed `PyTables` yet, run these first:
```
brew install hdf5 c-blosc
export HDF5_DIR=/opt/homebrew/opt/hdf5
export BLOSC_DIR=/opt/homebrew/opt/c-blosc
```
(or use Anaconda that apparently takes care of it).

The notebooks are meant to be run in order, as concepts explained in them are built on the previous ones.

Some common nomeclature: 
- O1 refers to a circuit of size order = 1, where order = 0 is a single hexagon (for historical reasons, which don't make as much sense as before because now that we're using atlas-based circuits.)
- A Synapse is a single biochemical process between two neurons. A connection is the collection of all synapses between two neurons. A pathways is a collection of of all connections between the same pre- and postsynaptic cell types. 

Concepts from neuroscience and network since are mixed in our packages (as they're general enough to be used with any network, not just networks of neurons). 
- circuit -> network
- neuron/cell -> node/vertex
- connection -> edge
- presynaptic -> source
- postsynaptic -> target

Also for historical reasons we sometimes call node ids (the indicies of single cells) as gids (general ids).